TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get balance changes

GET
/api/v3/balanceChanges

Calculate balance changes for a trace or action. Supply trace_id or action_id. If only action_id is supplied, the API finds its trace.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

trace_id?string

Trace ID. If supplied with action_id, the action is looked up within this trace.

action_id?string

Action ID. If supplied, return changes for this action instead of the entire trace.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v3/balanceChanges"
{  "changes": {    "property1": 0,    "property2": 0  },  "fees": {    "property1": 0,    "property2": 0  },  "jettons": {    "property1": {      "property1": "string",      "property2": "string"    },    "property2": {      "property1": "string",      "property2": "string"    }  }}